Subject: bug#4705: closed (Re: bug#4705: 23.1.50; read-key makes menu-bar and tool-bar items disappear)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 May 2016 13:35:02 +0000

Your bug report

#4705: 23.1.50; read-key makes menu-bar and tool-bar items disappear

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
4705: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4705
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4705: 23.1.50; read-key makes menu-bar and tool-bar items disappear
From: Alan Third <[email-masked]>
To: Lars Magne Ingebrigtsen <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>, YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 02 May 2016 14:33:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>> Steps to reproduce:
>>>   1. emacs -Q
>>>   2. ESC : (read-key) RET
>>
>>> Result:
>>>   The menu-bar and tool-bar items disappear except the
>>>   Lisp-Interaction menu.
>>
>> Indeed that's a bug: the Lisp-Interaction should also disappear.
>> It seems to be a bug in the code that builds the menu-bar from the
>> active keymaps.
>
> In Emacs 24, I get (sort of) the opposite result.  When I `M-:', the
> Lisp-Interaction menu disappears, and most of the tool bar items get
> greyed out.
>
> So I guess this has been fixed?

I confirm that in Emacs 25 it looks OK. When I type M-: the
lisp-interaction menu is replaced with a Minibuf one, which makes sense
to me.

-- 
Alan Third

Subject: 23.1.50; read-key makes menu-bar and tool-bar items disappear
From: YAMAMOTO Mitsuharu <[email-masked]>
To: [email-masked]
Date: Mon, 12 Oct 2009 19:13:27 +0900

Steps to reproduce:

  1. emacs -Q
  2. ESC : (read-key) RET

Result:
  The menu-bar and tool-bar items disappear except the
  Lisp-Interaction menu.

				     YAMAMOTO Mitsuharu
				[email-masked]

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.8.0, X toolkit)
 of 2009-10-12 on yamamoto-mitsuharu-no-mac-mini.local
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--with-x' '--without-gif' '--without-jpeg' '--without-tiff' 'CFLAGS=-g -Wno-pointer-sign -DENABLE_CHECKING''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t